Generate Quote Receipt PDF
POST/v1/crossborder/quotes/:id/receipt/generate
Initiate a request to generate a quote receipt PDF. Use the returned file_id with the 'storage/files/:id/url' endpoint to get the URL to download the quote receipt in PDF format.
Request
Path Parameters
Quote ID.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
- 401
- 422
Quote receipt PDF generated successfully.
- application/json
- Schema
- Example (from schema)
Schema
Generated file ID.
File state.
File created at.
{
"file_id": "f6e2e084-29b9-4935-a059-5473b13033aa",
"file_state": "PENDING",
"created_at": "2026-03-26T14:02:59.413Z"
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.